org.icefaces.ace.component.gmap

## Interface IGMapInfoWindow

- All Known Implementing Classes:
    GMapInfoWindow, GMapInfoWindowBase

      public interface IGMapInfoWindow

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLongitude()`
    `java.lang.String` | `getOptions()`
    `java.lang.Boolean` | `isDisabled()`
    `boolean` | `isShowOnClick()`
    `boolean` | `isStartOpen()`
    `void` | `setContent(java.lang.String content)`
    `void` | `setDisabled(java.lang.Boolean disabled)`
    `void` | `setLatitude(java.lang.String latitude)`
    `void` | `setLongitude(java.lang.String longitude)`
    `void` | `setOptions(java.lang.String options)`
    `void` | `setShowOnClick(boolean showOnClick)`
    `void` | `setStartOpen(boolean startOpen)`

- - ### Method Detail

    - #### setContent

          void setContent(java.lang.String content)

    - #### getContent

          java.lang.String getContent()

    - #### setDisabled

          void setDisabled(java.lang.Boolean disabled)

    - #### isDisabled

          java.lang.Boolean isDisabled()

    - #### setLatitude

          void setLatitude(java.lang.String latitude)

    - #### getLatitude

          java.lang.String getLatitude()

    - #### setLongitude

          void setLongitude(java.lang.String longitude)

    - #### getLongitude

          java.lang.String getLongitude()

    - #### setOptions

          void setOptions(java.lang.String options)

    - #### getOptions

          java.lang.String getOptions()

    - #### setShowOnClick

          void setShowOnClick(boolean showOnClick)

    - #### isShowOnClick

          boolean isShowOnClick()

    - #### setStartOpen

          void setStartOpen(boolean startOpen)

    - #### isStartOpen

          boolean isStartOpen()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.